spandsp: v27ter_tx_state_s Struct Reference

spandsp 0.0.6

v27ter_tx_state_s Struct Reference

`#include <v27ter_tx.h>`

## Public Attributes
int | bit_rate
| The bit rate of the modem. Valid values are 2400 and 4800.
get_bit_func_t | get_bit
| The callback function used to get the next bit to be transmitted.
void * | get_bit_user_data
| A user specified opaque pointer passed to the get_bit function.
modem_status_func_t | status_handler
| The callback function used to report modem status changes.
void * | status_user_data
| A user specified opaque pointer passed to the status function.
float | gain_2400
| The gain factor needed to achieve the specified output power at 2400bps.
float | gain_4800
| The gain factor needed to achieve the specified output power at 4800bps.
complexf_t | rrc_filter [2 *9]
| The root raised cosine (RRC) pulse shaping filter buffer.
int | rrc_filter_step
| Current offset into the RRC pulse shaping filter buffer.
uint32_t | scramble_reg
| The register for the training and data scrambler.
int | scrambler_pattern_count
| A counter for the number of consecutive bits of repeating pattern through the scrambler.
int | in_training
| TRUE if transmitting the training sequence, or shutting down transmission. FALSE if transmitting user data.
int | training_step
| A counter used to track progress through sending the training sequence.
uint32_t | carrier_phase
| The current phase of the carrier (i.e. the DDS parameter).
int32_t | carrier_phase_rate
| The update rate for the phase of the carrier (i.e. the DDS increment).
int | baud_phase
| The current fractional phase of the baud timing.
int | constellation_state
| The code number for the current position in the constellation.
get_bit_func_t | current_get_bit
| The get_bit function in use at any instant.
logging_state_t | logging
| Error and flow logging control.

## Detailed Description

V.27ter modem transmit side descriptor. This defines the working state for a single instance of a V.27ter modem transmitter.

The documentation for this struct was generated from the following file:

- private/v27ter_tx.h